Help with jailbreaking and Cydia for iPhones, iPads, and iPod touches.

How to jailbreak iOS 7.1-7.1.2 (using Pangu) or iOS 7.0-7.0.6 (using evasi0n7). How to jailbreak iOS 6.0-6.1.6.
Before asking a question, check Frequently Asked Questions to find quick answers!
How to fix some mysterious problems. If you'd like to ask for live help, you can join our chat room.

Hi, I just bought an iPhone 4 that is currently on iOS 4.2.1 / BB 03.10.01. I want to upgrade it to iOS 5 & then jailbreak & unlock. As I understand, I have to preserve the BB at 01.59.00 to unlock iOS 5 on iPhone 4.

My questions: - Do I need to downgrade from 03.10.01 to 01.59.00 in order to do this? If so, how? - What's the best way to upgrade versions (e.g. from 4.2.1 directly to 5)? Just through iTunes?

Appreciate any help you can offer, as I don't want to screw this up!

Thanks.

asked 23 Nov '11, 01:31

kennyp's gravatar image

kennyp
11314


Basebands can not be downgraded, so the soft unlock is not for you, you can however upgrade by restoring to a custom firmware created with sn0wbreeze 2.8b11, this will put you at 5.0.1 TETHERED Jailbreak and Gevey SIM will still work as this will preserve your current BB which is compatible with Gevey SIM.

link

answered 23 Nov '11, 01:34

knightz4u's gravatar image

knightz4u
4.9k91228

you type fast.

(23 Nov '11, 01:37) therealcmac therealcmac's gravatar image

LOL, what happened to your avatar @therealcmac?

(23 Nov '11, 01:42) knightz4u knightz4u's gravatar image

it has been Vapourized :)

(23 Nov '11, 02:33) therealcmac therealcmac's gravatar image

Unfortunately you cannot do either of these things, ios 5.0 is closed for signing, you only option is 5.0.1, and downgrading baseband is impossible. your only option for unlock is gevey sim, which will not work on the ios5 baseband, so if you do want to upgrade to 5.0.1 then yes you need to use snowbreeze to create a custom 5.0.1 firmware if on pc or if on a mac use redsnow and create a custom no baseband ipsw

link

answered 23 Nov '11, 01:37

therealcmac's gravatar image

therealcmac
550221032

So if I decided to not upgrade to iOS 5 (or 5.0.1) at this point (e.g. stay at 4.2.1 for now), could I JB/unlock 4.2.1 with BB 03.10.01? Then possibly in the future try to upgrade to 5.x & unlock with Gevey Sim?

I REALLY appreciate the quick responses from you guys. This community is amazing!

link

answered 23 Nov '11, 01:49

kennyp's gravatar image

kennyp
11314

You can do as i told you and be tethered JB at 5.0.1 and unlock with Gevey, you can also stay at 4.2.1 and JB UNtethered and unlock with Gevey as well. to JB use redsn0w 0.9.9b8.

(23 Nov '11, 02:21) knightz4u knightz4u's gravatar image
Your answer: (please use the "add new comment" button unless you are actually answering the original question)
toggle preview

Markdown Basics

  • *italic* or _italic_
  • **bold** or __bold__
  • link:[text](http://url.com/ "Title")
  • image?![alt text](/path/img.jpg "Title")
  • numbered list: 1. Foo 2. Bar
  • to add a line break simply add two spaces to where you would like the new line to be.
  • basic HTML tags are also supported

Tags:

×7,165
×2,445
×1,498
×1,004
×751
×516
×23

Asked: 23 Nov '11, 01:31

Seen: 9,944 times

Last updated: 23 Nov '11, 02:33

JailbreakQA is by chpwn and comex.
About JailbreakQA. Powered by OSQA.